GNU logs - #36604, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36604: 26.1; emacs 26 tries loading original user's .emacs after su to root
Resent-From: Steinar Bang <sb@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 11 Jul 2019 17:47:02 +0000
Resent-Message-ID: <handler.36604.B.156286718021528 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 36604
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 36604 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.156286718021528
          (code B ref -1); Thu, 11 Jul 2019 17:47:02 +0000
Received: (at submit) by debbugs.gnu.org; 11 Jul 2019 17:46:20 +0000
Received: from localhost ([127.0.0.1]:38584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hld99-0005bA-On
	for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 13:46:20 -0400
Received: from lists.gnu.org ([209.51.188.17]:58824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sb@HIDDEN>) id 1hld98-0005b0-27
 for submit <at> debbugs.gnu.org; Thu, 11 Jul 2019 13:46:18 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40221)
 by lists.gnu.org with esmtp (Exim 4.86_2) (envelope-from <sb@HIDDEN>)
 id 1hld8v-0007sb-MK
 for bug-gnu-emacs@HIDDEN; Thu, 11 Jul 2019 13:46:15 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,TIME_LIMIT_EXCEEDED
 autolearn=unavailable version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sb@HIDDEN>) id 1hld8r-0000Zw-3F
 for bug-gnu-emacs@HIDDEN; Thu, 11 Jul 2019 13:46:02 -0400
Received: from cadalora.default.sbang.uk0.bigv.io ([2001:41c9:1:424::90]:53782
 helo=cadalora.bang.priv.no) by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sb@HIDDEN>) id 1hld8q-0000Th-Q4
 for bug-gnu-emacs@HIDDEN; Thu, 11 Jul 2019 13:46:01 -0400
Received: from cadalora.default.sbang.uk0.bigv.io
 (cadalora.default.sbang.uk0.bigv.io [46.43.15.90])
 by cadalora.bang.priv.no (Postfix) with ESMTPSA id 0F084CDF2E
 for <bug-gnu-emacs@HIDDEN>; Thu, 11 Jul 2019 18:45:53 +0100 (BST)
From: Steinar Bang <sb@HIDDEN>
Date: Thu, 11 Jul 2019 18:45:52 +0100
Message-ID: <87h87spir3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2001:41c9:1:424::90
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


 - I did /bin/su from my own user to root

 - When I started emacs I got the following error message:

 Warning (initialization): An error occurred while loading =E2=80=98/home/s=
b/.emacs=E2=80=99:

File is missing: Cannot open load file, No such file or directory, editorco=
nfig

To ensure normal operation, you should investigate and remove the
cause of the error in your initialization file.  Start Emacs with
the =E2=80=98--debug-init=E2=80=99 option to view a complete error backtrac=
e.

 - Ie. emacs tried to load the original user's .emacs and fails (and the
   configuration of the editor is kind of broken)

Results of HOME and id after su:
root@cadalora:~# env | grep HOME
HOME=3D/root
root@cadalora:~# id
uid=3D0(root) gid=3D0(root) groups=3D0(root)
root@cadalora:~#


 - When I do "/bin/su - root" then emacs reports no error messages on
   startup

Results of HOME and id looks the same:
root@cadalora:~# env | grep HOME
HOME=3D/root
root@cadalora:~# id
uid=3D0(root) gid=3D0(root) groups=3D0(root)
root@cadalora:~#



In GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.4)
 of 2019-02-03, modified by Debian built on zam904
Windowing system distributor 'The Cygwin/X Project', version 11.0.12004000
System Description:	Debian GNU/Linux 10 (buster)

Recent messages:
Reading active file from news via nntp...
Opening nntp server on news...done
Reading active file from news.gmane.org via nntp...
Opening nntp server on news.gmane.org...done
Reading active file via nndiary...done
nnimap read 0k from imap.bang.priv.no
Reading active file via nndraft...done
Checking new news...done
nnimap read 0k from imap.bang.priv.no
Exiting summary buffer and applying spam rules

Configured using:
 'configure --build x86_64-linux-gnu --prefix=3D/usr
 --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
 --localstatedir=3D/var/lib --infodir=3D/usr/share/info
 --mandir=3D/usr/share/man --enable-libsystemd --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/26.1/site-lisp:=
/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.1/site-lisp:/usr/share=
/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --build
 x86_64-linux-gnu --prefix=3D/usr --sharedstatedir=3D/var/lib
 --libexecdir=3D/usr/lib --localstatedir=3D/var/lib
 --infodir=3D/usr/share/info --mandir=3D/usr/share/man --enable-libsystemd
 --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/26.1/site-lisp:=
/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.1/site-lisp:/usr/share=
/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --with-x=3Dyes
 --with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars 'CFLAGS=3D-g -O2
 -fdebug-prefix-map=3D/build/emacs-26.1+1=3D. -fstack-protector-strong
 -Wformat -Werror=3Dformat-security -Wall' 'CPPFLAGS=3D-Wdate-time
 -D_FORTIFY_SOURCE=3D2' LDFLAGS=3D-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LC_COLLATE: POSIX
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  gnus-topic-mode: t
  cursor-sensor-mode: t
  gnus-undo-mode: t
  editorconfig-mode: t
  display-time-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/sb/apps/share/emacs/site-lisp/icalendar hides /usr/share/emacs/26.1/l=
isp/calendar/icalendar

Features:
(shadow bbdb-message editorconfig-core editorconfig-core-handle
editorconfig-fnmatch emacsbug sendmail sort gnus-cite ansi-color
mail-extr u-appt appt diary-lib diary-loaddefs cal-menu calendar
cal-loaddefs gnus-async gnus-bcklg qp gnus-ml spam-gmane dns mm-url url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util disp-table edmacro kmacro gnus-topic cursor-sensor
nndraft nnmh utf-7 rfc2104 cl-extra help-mode network-stream nsm
starttls gnus-agent gnus-srvr gnus-score score-mode nnvirtual gnus-cache
gnus-demon nntp gnus-diary nndiary spam-report spam spam-stat bbdb-com
crm bbdb bbdb-site timezone gnus-uu yenc gnus-msg gnus-art mm-uu mml2015
mm-view mml-smime smime dig mailcap supercite regi elec-pair desktop
frameset cl nnir gnus-sum gnus-group gnus-undo gnus-start gnus-cloud
nnimap nnmail mail-source tls gnutls utf7 netrc parse-time gnus-spec
gnus-int gnus-range message rmc puny dired dired-loaddefs format-spec
rfc822 mml mml-sec epa derived epg mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader gnus-win gnus
wid-edit nnoo nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils nxml-psgml-compatibility
easy-mmode crappy-jsp-mode js advice json map imenu thingatpt cc-mode
cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars
cc-defs sgml-mode dom editorconfig rx filladapt time iso-transl
jka-compr finder-inf info package easymenu epg-config url-handlers
url-parse auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache url-vars seq byte-opt gv bytecomp byte-compile cconv
cl-loaddefs cl-lib time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify lcms2 dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 290773 82854)
 (symbols 48 37739 32)
 (miscs 40 88 227)
 (strings 32 90047 6859)
 (string-bytes 1 3369917)
 (vectors 16 36967)
 (vector-slots 8 764061 16798)
 (floats 8 250 285)
 (intervals 56 1200 1573)
 (buffers 992 23))




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Steinar Bang <sb@HIDDEN>
Subject: bug#36604: Acknowledgement (26.1; emacs 26 tries loading original
 user's .emacs after su to root)
Message-ID: <handler.36604.B.156286718021528.ack <at> debbugs.gnu.org>
References: <87h87spir3.fsf@HIDDEN>
X-Gnu-PR-Message: ack 36604
X-Gnu-PR-Package: emacs
Reply-To: 36604 <at> debbugs.gnu.org
Date: Thu, 11 Jul 2019 17:47:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 36604 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
36604: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D36604
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 14 Jul 2019 01:28:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 13 21:28:38 2019
Received: from localhost ([127.0.0.1]:43639 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmTJd-0008DX-Ny
	for submit <at> debbugs.gnu.org; Sat, 13 Jul 2019 21:28:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39759)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1hmTJb-0008DI-Vx
 for control <at> debbugs.gnu.org; Sat, 13 Jul 2019 21:28:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45576)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1hmTJW-0004qs-QY
 for control <at> debbugs.gnu.org; Sat, 13 Jul 2019 21:28:30 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>) id 1hmTJV-0008Md-Fn
 for control <at> debbugs.gnu.org; Sat, 13 Jul 2019 21:28:30 -0400
Subject: control message for bug 36604
To: <control <at> debbugs.gnu.org>
X-Mailer: mail (GNU Mailutils 2.99.98)
Message-Id: <E1hmTJV-0008Md-Fn@HIDDEN>
From: Glenn Morris <rgm@HIDDEN>
Date: Sat, 13 Jul 2019 21:28:29 -0400
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

forcemerge 36583 36604




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 3 Oct 2019 17:36:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 03 13:36:26 2019
Received: from localhost ([127.0.0.1]:41075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iG51e-00022t-CW
	for submit <at> debbugs.gnu.org; Thu, 03 Oct 2019 13:36:26 -0400
Received: from quimby.gnus.org ([80.91.231.51]:52920)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iG51c-00022j-7s
 for control <at> debbugs.gnu.org; Thu, 03 Oct 2019 13:36:24 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>) id 1iG51Y-000213-Qb
 for control <at> debbugs.gnu.org; Thu, 03 Oct 2019 19:36:22 +0200
Date: Thu, 03 Oct 2019 19:36:20 +0200
Message-Id: <874l0pg297.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #36583
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 36583 - wontfix quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 36583 - wontfix
quit






Last modified: Thu, 3 Oct 2019 17:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.